aboutsummaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorLeandro Pereira <leandro@linuxmag.com.br>2004-06-14 21:33:25 -0300
committerSimon Quigley <tsimonq2@ubuntu.com>2017-06-19 14:38:31 -0500
commit7d65a12d6431f72e601ea1d0c3ef5d09af8bfb96 (patch)
tree7ad1761adce3212a13e5342a54865e31b917f18b /debian/postinst
parent0864b0a8e6f0b0983c3536931cfbad1414137d6b (diff)
parent8c1612d32c5682a86216adb8c8d11ce715fe5475 (diff)
Import Debian changes 0.3.6-5
hardinfo (0.3.6-5) unstable; urgency=high * Add Amd64 support (closes: #253935). Thanks to Kurt Roeckx <Q@ping.be> * Close duplicate "doesn't work with newer pciutils" bug (closes: #254018). hardinfo (0.3.6-4) unstable; urgency=high * Fixed segfault on startup (closes: #242843). Thanks to Remco van de Meent <remco@debian.org> hardinfo (0.3.6-3) unstable; urgency=high * Added Debian menu entry icon. * Fixed some misc packaging bugs. * Changed package description. hardinfo (0.3.6-2) unstable; urgency=low * Sync with upstream sources. * Disabled "Network" tab. hardinfo (0.3.6-1) unstable; urgency=high * Sync with upstream sources. hardinfo (0.3.5-1) unstable; urgency=high * Sync with upstream sources. hardinfo (0.3.4-1) unstable; urgency=high * Sync with upstream sources. hardinfo (0.3.3-1) unstable; urgency=low * Sync with upstream sources. hardinfo (0.3.2-1) unstable; urgency=low * Sync with upstream sources. hardinfo (0.3.1-1) unstable; urgency=low * Sync with upstream sources. hardinfo (0.3-1) unstable; urgency=low * Initial Release.
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst48
1 files changed, 48 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 00000000..10a660b2
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,48 @@
+#! /bin/sh
+# postinst script for hardinfo
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+